/*
	blue : #4187f3;
*/

*{
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	box-sizing: border-box;
}

html, body{
	height: 100%;
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Helvetica Neue', sans-serif;
	font-size: 14px;
	font-weight: 400;
	background: whitesmoke;
	color:#222;
	overflow: hidden;
}

input, button, select, textarea{
	font: inherit;
	color: inherit;
	background: transparent;
	border-radius: 0;
	-webkit-appearance:none;
}

input[type="checkbox"]{
	-webkit-appearance:checkbox;
}

button{
	color:#4187f3;
}

button:hover{
	color:#333;
}

.view{
	display: none;
}

.view .list{
	width:320px;
	background: white;
	border-right:1px solid #CDCDCD;
	position: absolute;
	top:0;
	left:0;
	bottom:55px;
	z-index: 2;
}

.view .list .content{
	position: absolute;
	top:50px;
	bottom:0;
	left:0;
	right: 0;
	overflow-y:scroll;

	-webkit-user-select:none;
	-moz-user-select:none;
	user-select:none;
}

.view .list header{
	font-weight: 500;
	height: 50px;
	line-height: 50px;
	text-align: center;
	border-bottom: 1px solid rgba(0,0,0,0.1);
}

.view .detail{
	background: whitesmoke;
	position: absolute;
	top:0;
	left:320px;
	right: 0;
	bottom:0;
	text-align: center;
	display: flex;
}

.detail .pane{
	margin: auto;
	font-size: 14px;
	width: 100%;
}

.detail .pane h2{
	font-weight: 400;
	font-size: 26px;
	line-height: 28px;
	margin: 28px auto 12px;
	max-width: 475px;
}

.detail .pane p{
	line-height: 1.5em;
}

.detail .pane svg{
	width: 70%;
	max-width: 170px;
	display: block;
	margin:0 auto 1em;
	stroke-width:10;
	stroke-linecap:round;
	stroke:url(#svgGradrient);
	fill:none;
	display: none;
}

.detail .pane .icon{
	width: 100px;
	height: 100px;
	border-radius: 12px;
	margin:0 6px;
	display: inline-block;
	vertical-align: top;
}

.detail .pane .icon.pic{
	background-size: cover;
}

.detail .pane .url a{
	width: 100%;
	text-align: center;
	color:#4187f3;
	text-decoration: none;
}

.detail .pane .url a:hover{
	text-decoration: underline;
}

.detail .pane.empty{
	color:gray;
}

.detail .pane.defaut{
	color:lightgray;
}

.detail .pane.empty h2,
.detail .pane.defaut h2{
	font-weight: 300;
}

.detail .pane.empty .url,
.detail .pane.defaut .url{
	display: none;
}

.detail .pane.empty .icon,
.detail .pane.defaut .icon{
	display: none;
}

.detail .pane.empty nav,
.detail .pane.defaut nav{
	display: none;
}

.detail .pane.empty svg{
	stroke:gainsboro;
	max-width: 220px;
	display: block;
}

.detail .pane.defaut svg{
	display: none;
}

.detail .pane nav{
	margin-top: 32px;
}

.detail .pane nav button{
	padding: 12px 20px;
	font-size: 14px;
	background:#ececec;
	border-radius: 5px;
	margin:0 0.2em;
	color:#333;
}

#home{
	display: block;
}

body > footer{
	border-top: 1px solid rgba(0,0,0,0.1);
	border-right:1px solid #CDCDCD;
	height: 55px;
	position: absolute;
	bottom:0;
	left:0;
	width: 320px;
	white-space: nowrap;
	text-align: center;
	background: white;

	-webkit-user-select:none;
	-moz-user-select:none;
	user-select:none;

	display: flex;
}

body > footer button{
	width: 100%;
	/* max-width: 95px; */
	height: 55px;
	color:#7F7F7F;
	font-size: 11px;
	color: #4187f3 !important;
	filter:grayscale(1);
	letter-spacing: -0.2px;
}

body > footer button img{
	width: 22px;
	display: block;
	margin:2px auto 3px;
}

body > footer button.active{
	filter:none;
}

#search{
	width: calc(100% - 53px);
	background: whitesmoke url(/img/search.svg) no-repeat;
	background-position: 8px 50%;
	background-size: auto 16px;
	padding: 0 0 0 30px;
	font-size: 14px;
	height: 30px;
	border-radius: 6px;
	margin:10px 0 10px 10px;
	border: 1px solid whitesmoke;
	font-weight: 400;
	line-height: 1.4;
}

#search:focus {
	border-color: #cdcdcd;
}

#search::-webkit-input-placeholder {
    color: darkgray;
}

#search::-moz-placeholder{
	color: darkgray;
}

#home header button{
	display: inline-block;
	vertical-align: top;
	width: 42px;
	height: 30px;
	margin-top:10px;
}

#home header button svg{
	width: 20px;
	height: auto;
	display: block;
	margin:auto;
	fill:#4187f3;
}

#home header button:active svg{
	fill:#BFBFBF;
}

.list .item,
.list .category,
.list .noresult{
	padding: 16px 1em;
	border-bottom: 1px solid rgba(0,0,0,0.08);
	font-size: 13px;
	cursor: default;
}

.list .item,
.list .category{
	width:100%;
	padding: 0;
	padding-left: 18px;
	border: 0;
	position: relative;
}

.list .item::before{
	content:'';
	display: block;
	position: absolute;
	top:0;
	right: 0;
	left:90px;
	height: 1px;
	background: rgba(0,0,0,0.08);
}

.list .category + .item::before,
.list .item:first-child::before{
	display: none;
}

.list .category{
	font-weight: 600;
	background:#f7f7f7;
	position: -webkit-sticky;
	position: sticky;
	padding: 14px 18px;
	top:0;
	z-index: 1;
	font-size: 13px;
	border-bottom: 1px solid #f0f0f0;
}

.list .item .title{
	display: inline-block;
	vertical-align: middle;
	width: calc(100% - 100px);
}

.list .item div[data-key="image"]{
	background: whitesmoke;
	background-size: cover;
	background-position: 50%;
	margin:8px 1.2em 8px 0;
	border-radius: 4px;
	display: inline-block;
	vertical-align: middle;
	width: 60px;
	height: 60px;
}

.list .item div[data-key="name"]{
	display: -webkit-box;
	-webkit-line-clamp:3;
	-webkit-box-orient: vertical;  
	max-height: 42px;
    line-height: 14px;
	overflow: hidden;
	text-overflow: ellipsis;
}

.list .item .title.double div[data-key="name"]{
	max-height: 28px;
	-webkit-line-clamp:2;
}

.list .item .title .sub{
	color:#7F7F7F;
	display: block;
	margin-top: 4px;
	font-size: 12px;
	white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.list .item .timer{
	position: absolute;
	width: 16px;
	height: 16px;
	border:1px solid #4187f3;
	top:50%;
	right: 12px;
	margin-top: -8px;
	border-radius: 100%;
	overflow: hidden;
}

.list .item .timer svg{
	width: 100%;
	height: 100%;
	transform: rotate(-90deg);
}

.list .item .timer circle{
	fill:transparent;
	stroke: #4187f3;
	stroke-width: 16;
	stroke-dasharray: 0 100;
}

.list .item .timer.done{
	background:#4187f3 url(/img/checked.svg) no-repeat;
	background-position: 50% 50%;
	background-size: 10px;
}
.list .item .timer.done svg{
	display: none;
}

/* Item active */

.list .item:active{
	background: #F7F7F7;
}

.list .item.active{
	background:#3778dc;
	color:white !important;
}

.list .item.active .title .sub{
	color:white;
	opacity: 0.5;
}

.list .item.active .timer{
	border-color:white;
}

.list .item.active .timer.done{
	background-image:url(/img/checked_blue.svg);
	background-color: white;
	border-color:white;
}

.list .item.active .timer circle{
	stroke:white;
}

.list .noresult{
	color: #bcbcbc;
	padding: 2em 0;
	border:0;
	text-align: center;
}

/******************/

#graph{
	overflow:hidden;
	-webkit-user-select:none;
	-moz-user-select:none;
	user-select:none;
}

#graph canvas{
	position: absolute;
	top:0;
	left:0;
	pointer-events: none;
}

#graph nav{
	position: absolute;
	top: 0;
	right: 0;
	padding: 5px;
}

#graph nav select{
	font-size: 12px;
}

#graph nav button{
	padding: 8px 12px;
	color: darkgray;
}

#graph nav button:hover{
	background-color: rgba(0,0,0,0.03);
}

#graph .legend{
	position: absolute;
	bottom: 0;
	left: 0;
	font-size: 11px;
	padding: 1.5em;
	line-height: 1;
	color:gray;
	pointer-events: none;
}

#graph .legend > div{
	display: inline-block;
	vertical-align: middle;
	margin-right: 16px;
}

#graph .legend > div > span{
	width: 12px;
	height: 12px;
	border-radius: 12px;
	display: inline-block;
	vertical-align: middle;
	margin-right: 5px;
	margin-bottom: 4px;
	border:1px solid rgba(0,0,0,0.15);
}

/*******************/

#quickStart{
	position: absolute;
	top:50px;
	bottom:0;
	left:0;
	width: 319px;
	background: white;
	z-index: 2;
}

#quickStart .list{
	overflow-y: auto;
	position: absolute;
	top:0px;
	bottom:55px;
	left:0;
	right: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 2em 0;
}

#quickStart .list button{
	display: block;
	width: 100%;
	padding: 1em 0;
	animation: slideUp 0.4s cubic-bezier(0.32, 0, 0, 1) backwards;
	animation-delay: 0.15s;
}

#quickStart .list button:nth-child(1){
	animation-delay: 0.0s;
}

#quickStart .list button:nth-child(2){
	animation-delay: 0.03s;
}

#quickStart .list button:nth-child(3){
	animation-delay: 0.06s;
}

#quickStart .list button:nth-child(4){
	animation-delay: 0.09s;
}

#quickStart .list button:nth-child(5){
	animation-delay: 0.12s;
}

@keyframes slideUp{
	from{
		opacity: 0;
		transform: translateY(28px);
	}
	to{
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes fade{
	from{
		opacity: 0;
	}
	to{
		opacity: 1;
	}
}

#quickStart .tip {
	text-align: center;
	padding:0 60px 30px 60px;
	font-size: 14px;
	color:#484848;
	animation: slideUp 0.4s cubic-bezier(0.32, 0, 0, 1) backwards;
}

#quickStart footer{
	position: absolute;
	bottom:0;
	left:24px;
	right: 24px;
	height: 55px;
	border-top:1px solid rgba(0,0,0,0.1);
}

#quickStart footer button{
	height: 55px;
	line-height: 55px;
	padding: 0;
	width: 100%;
}

.contextmenu{
	position: fixed;
	z-index: 200;
	background: #f6f5f6;
	border:1px solid #CCCCCC;
	box-shadow: 0 6px 16px rgba(0,0,0,0.2);
	padding: 6px 0;
	border-radius: 4px;
}

.contextmenu button{
	display: block;
	width: 100%;
	text-align: left;
	color:#333;
	font-size: 14px;
	padding: 1px 20px 2px;
}

.contextmenu button:hover{
	color:white;
	background:darkgray;
}

#login{
	position: absolute;
	top:0;
	left:0;
	right: 0;
	bottom:0;
	z-index: 90000000;
	display: none;
}

#login .overlay{
	position: absolute;
	top:0;
	left:0;
	right: 0;
	bottom:0;
	background: rgba(0,0,0,0.6);
}

#login .pane{
	position: relative;
	margin:auto;
	background: white;
	border-radius: 4px;
	box-shadow: 0 6px 64px rgba(0,0,0,0.4);
}

#login .pane h2{
	text-align: center;
	width: 100%;
	font-weight: 500;
	padding: 24px 24px 0;

}
#login .pane button{
	text-align: right;
	width: 100%;
	font-weight: normal;
	font-size: 16px;
	height: 32px;
}

#login .pane label{
	font-size: 12px;
	color:gray;
	margin-bottom: 4px;
	display: inline-block;
	user-select: none;
}

#login .pane fieldset{
	margin:1em 0;
	padding: 0 32px;
}

#login .pane footer{
	border-top:1px solid gainsboro;
}

#login .pane input[type="email"],
#login .pane input[type="password"]{
	display: block;
	width: 100%;
	background: #fafafa;
	border:1px solid gainsboro;
	font-size: 14px;
	padding: 0.8em;
	border-radius: 4px;
	min-width: 250px;
}

#login .pane input[type="checkbox"]{
	margin-right: 6px;
}

@media screen and (max-width: 750px) {

	.view .list,
	body > footer,
	#quickStart{
		width: 100%;
		border-right: 0;
	}

	.view .detail{
		display: none;
	}
}